This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 44853 - glms_applet leaks memory
glms_applet leaks memory
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: glms (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-18 10:15 EDT by msterret
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-18 10:15:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description msterret 2001-06-18 10:15:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
glms_applet leaks memory continuously as it runs.  After a few days, it's
using more memory than the font server, xfs.  Killing and restarting it
makes
the used memory for glms_applet reasonable again.

How reproducible:
Always

Steps to Reproduce:
1. start glms_applet
2. wait around
	

Actual Results:  glms_applet leaks memory

Expected Results:  glms_applet memory usage should remain basically
constant.

Additional info:

According to rpm -q --requires glms:

audiofile-0.2.1-ximian.2
compat-glibc-6.2-2.1.3.2
db1-1.85-5
esound-0.2.22-ximian.3
glib-1.2.10-ximian.2
glibc-2.2.2-10
gnome-core-1.4.0.4-ximian.1
gnome-libs-1.2.13-ximian.10
gnome-libs-devel-1.2.13-ximian.10
gtk+-1.2.10-ximian.10
imlib-1.9.10-ximian.2
lm_sensors-2.5.5-3
ORBit-0.5.8-ximian.2
XFree86-libs-4.0.3-5
zlib-1.1.3-22
Comment 1 Phil Knirsch 2001-06-26 11:58:11 EDT
It's very hard to tell where this program leaks memory, so it might take some
time to get fixed.

As a workaround you could set up a nightly cronjob to restart it... Not a good
solution, i know, but a working one.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.